algorithmic modeling for Rhino
Hi Araz,
in VB.NET, you need to work with the rhino document if you want to add/delete/transform/replace/etc geometry. For example:
Dim doc As RhinoDoc = RhinoDoc.ActiveDoc
If (doc Is Nothing) Then Return
doc.Objects.AddPoint(New Point3d(4,6,7))
I check the doc variable for null because sometimes there might not be an actual document loaded in Rhino. This typically only happens during Rhino startup, Rhino shutdown or possibly during crashes, but in the future (and on the mac) Rhino might not have an active doc at all. You should always check the result of RhinoDoc.ActiveDoc for null.
--
David Rutten
david@mcneel.com
Poprad, Slovakia
Thanks David;
is there any basic tutorial which contains introduction and description for the VB.NET commands ready to in Rhino (or GH), [e.g. doc.objects.]? .. for example like the one that exists for Rhinoscript inside Rhino (in Editscript help) and explains lots of "Rhino.blabla" functions..
'cause it's really needed sometime to script even in a basic level to reduce the GH components in the Canvasss..
Araz Azarnejad
There's so many of these classes and functions that a short introduction is very unlikely to cover anyone's specific needs. RhinoCommon documentation is part of the SDK, so you can often find additional information and examples here:
http://www.rhino3d.com/5/rhinocommon/
--
David Rutten
david@mcneel.com
Poprad, Slovakia
Welcome to
Grasshopper
Added by Parametric House 0 Comments 0 Likes
Added by Parametric House 0 Comments 0 Likes
Added by Parametric House 0 Comments 0 Likes
Added by Parametric House 0 Comments 0 Likes
© 2025 Created by Scott Davidson.
Powered by